package com.aaronlife.fingerguessgame;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity
{
    // 定義TextView物件變數, 用來存放關聯後的TextView物件
    TextView txtPlayer;
    TextView txtPc;
    TextView txtResult;

    // 這個叫onCreate方法
    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // 關聯TextView元件
        txtPlayer = findViewById(R.id.player);
        txtPc = findViewById(R.id.pc);
        txtResult = findViewById(R.id.result);

        txtPlayer.startAnimation(AnimationUtils.loadAnimation(this, R.anim.translate));
        txtPc.startAnimation(AnimationUtils.loadAnimation(this, R.anim.translate));
        txtResult.startAnimation(AnimationUtils.loadAnimation(this, R.anim.translate));

        // 關聯標題圖片的TextView
        TextView txtTitle; // 建立TextView變數, 名稱為txtTitle
        txtTitle = findViewById(R.id.txt_title); // 關聯元件並存入txtTitle變數中
        txtTitle.startAnimation(AnimationUtils.loadAnimation(this, R.anim.rotate));

        // 關聯三顆按鈕元件
        ImageView btn1, btn2, btn3;
        btn1 = findViewById(R.id.btn1);
        btn2 = findViewById(R.id.btn2);
        btn3 = findViewById(R.id.btn3);

        // 將觸控事件設定給三顆按鈕
        btn1.setOnTouchListener(touchListener);
        btn2.setOnTouchListener(touchListener);
        btn3.setOnTouchListener(touchListener);
    }

    // 建立onScissors方法
    public void onScissors(View v) // 按alt-Enter選import選項
    {
//        // 啟動動畫
//        v.startAnimation(AnimationUtils.loadAnimation(this, R.anim.alpha));
//
//        ImageView imgBtn2, imgBtn3; // 建立可以存放ImageView的變數
//        imgBtn2 = findViewById(R.id.btn2); // 關聯ImageView元件並放入變數
//        imgBtn3 = findViewById(R.id.btn3); // 關聯ImageView元件並放入變數
//
//        imgBtn2.setVisibility(View.VISIBLE); // 讓btn2按鈕變為可見
//        imgBtn3.setVisibility(View.VISIBLE); // 讓btn3按鈕變為可見
//
//        // 將alpha2動畫應用到石頭跟布按鈕上
//        imgBtn2.startAnimation(AnimationUtils.loadAnimation(this, R.anim.alpha2));
//        imgBtn3.startAnimation(AnimationUtils.loadAnimation(this, R.anim.alpha2));

        //Toast.makeText(this, "你出了剪刀", Toast.LENGTH_SHORT).show();
        txtPlayer.setText("玩家出: 剪刀");

        // 產生0~2的隨機數
        // int : 資料型態, Integer(整數)
        // = :指派(assign)
        int pc = (int)(Math.random() * 3);

        // 輸出資料到Logcat
        Log.d("aarontest", "pc=" + pc);

        // 0: 剪刀, 1: 石頭, 2: 布
        switch(pc) // 判斷pc裡面的值為何
        {
        case 0: // 表示pc=0
            //Toast.makeText(this, "電腦出了剪刀", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 剪刀");
            txtResult.setText("結果: 平手");
            break;

        case 1: // 表示pc=1
            //Toast.makeText(this, "電腦出了石頭", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 石頭");
            txtResult.setText("結果: 你輸了");
            break;

        case 2: // 表示pc=2
            //Toast.makeText(this, "電腦出了布", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 布");
            txtResult.setText("結果: 你贏了");
            break;
        }
    }

    // 建立onPaper方法
    public void onPaper(View v) // 按alt-Enter選import選項
    {
        //Toast.makeText(this, "你出了布", Toast.LENGTH_LONG).show();
        txtPlayer.setText("玩家出: 布");

        int pc = (int)(Math.random() * 3);

        // 輸出資料到Logcat
        Log.d("aarontest", "pc=" + pc);

        // 0: 剪刀, 1: 石頭, 2: 布
        switch(pc) // 判斷pc裡面的值為何
        {
        case 0: // 表示pc=0
            //Toast.makeText(this, "電腦出了剪刀", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 剪刀");
            txtResult.setText("結果: 你輸了");
            break;

        case 1: // 表示pc=1
            //Toast.makeText(this, "電腦出了石頭", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 石頭");
            txtResult.setText("結果: 你贏了");
            break;

        case 2: // 表示pc=2
            //Toast.makeText(this, "電腦出了布", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 布");
            txtResult.setText("結果: 平手");
            break;
        }
    }

    // 建立onRock方法
    public void onRock(View v) // 按alt-Enter選import選項
    {
        Toast.makeText(this, "你出了石頭", Toast.LENGTH_SHORT).show();
        txtPlayer.setText("玩家出: 石頭");

        int pc = (int)(Math.random() * 3);

        // 輸出資料到Logcat
        Log.d("aarontest", "pc=" + pc);

        // 0: 剪刀, 1: 石頭, 2: 布
        switch(pc) // 判斷pc裡面的值為何
        {
        case 0: // 表示pc=0
            //Toast.makeText(this, "電腦出了剪刀", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 剪刀");
            txtResult.setText("結果: 你贏了");
            break;

        case 1: // 表示pc=1
            //Toast.makeText(this, "電腦出了石頭", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 石頭");
            txtResult.setText("結果: 平手");
            break;

        case 2: // 表示pc=2
            //Toast.makeText(this, "電腦出了布", Toast.LENGTH_SHORT).show();
            txtPc.setText("電腦出: 布");
            txtResult.setText("結果: 你輸了");
            break;
        }
    }

    View.OnTouchListener touchListener = new View.OnTouchListener()
    {
        @Override
        public boolean onTouch(View view, MotionEvent motionEvent)
        {
            if(motionEvent.getAction() == MotionEvent.ACTION_DOWN)
            {
               // 當MotionEvent.ACTION_DOWN條件成立，這裡的程式碼會被執行
                view.startAnimation(AnimationUtils.loadAnimation(
                        MainActivity.this, R.anim.scale_down));
            }

            if(motionEvent.getAction() == MotionEvent.ACTION_UP)
            {
                // 當MotionEvent.ACTION_UP條件成立，這裡的程式碼會被執行
                view.startAnimation(AnimationUtils.loadAnimation(
                        MainActivity.this, R.anim.scale_up));
            }

            return false;
        }
    };
}


